Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1080617

Description of problem:

Cron job `foreman-rake reports:summarize` results in "rake aborted! getaddrinfo: Name or service not known" on default installation.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140321.2

How reproducible:

always

Steps to Reproduce:

1. One of the cron jobs have:

/usr/sbin/foreman-rake reports:summarize

Actual results:

1. /usr/sbin/foreman-rake reports:summarize

rake aborted!

getaddrinfo: Name or service not known

Tasks: TOP => reports:summarize

(See full trace by running task with --trace)

1. echo $?

1

Expected results:

On default installation, all should work - cron jobs should not produce errors periodically

Additional info:

This was initially reported as:

 http://projects.theforeman.org/issues/4833

As per http://projects.theforeman.org/projects/foreman/wiki/Email_configuration I have configured this:

1. cat /etc/foreman/email.yaml

2. Outgoing email settings

production:

delivery_method: :sendmail

but that generates mails for root@$( hostname -d ) so they have permanent errors in my case, but I guess this can be configured

somewhere as well.

Related issues:

Related to Foreman - Tracker #7585: Mail notifications tracker New
Has duplicate Installer - Feature #10179: Add email configuration settings to... Duplicate 04/17/2015

History

#1 - 05/20/2014 02:31 PM - Dominic Cleal

- Tracker changed from Bug to Feature

- Subject changed from cron job `foreman-rake reports:summarize` results in "rake aborted! getaddrinfo: Name or service not known" to Configure

Rails email settings

- Category set to Foreman modules

This perhaps should include updating the default email.yml file distributed in core, please evaluate as a whole.

#2 - 09/23/2014 07:46 AM - Stephen Benjamin

- Related to Tracker #7585: Mail notifications tracker added

#3 - 10/17/2014 01:49 PM - Stephen Benjamin

User contributed some documentation related to email.yml which is really useful:

 https://github.com/theforeman/theforeman.org/pull/280/files

Is documentation sufficient for this issue or do we want to add some options to the installer to configure email.yml?

#4 - 10/20/2014 03:50 AM - Dominic Cleal

I'd like the installer to support it too, but the docs are very helpful indeed.

#5 - 04/20/2015 05:22 AM - Dominic Cleal

- Has duplicate Feature #10179: Add email configuration settings to installer added

#6 - 04/20/2015 07:58 AM - Bryan Kearney

- Bugzilla link changed from 1080617 to 1188346

#7 - 12/01/2015 08:15 AM - Dominic Cleal

- Status changed from New to Resolved

In puppet-foreman 4.0.0.
